aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Zameer Manji (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AURORA-1380) Upgrade to guice 4.0
Date Wed, 26 Aug 2015 21:44:45 GMT

    [ https://issues.apache.org/jira/browse/AURORA-1380?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14715576#comment-14715576
] 

Zameer Manji commented on AURORA-1380:
--------------------------------------

I attempted to do this after the changes related to AURORA-1213 landed. Forcing the guice,
guice-multibindings and guice-servlet artifacts to 4.0 results in the following dependency
tree related to guice:
{noformat}
com.google.inject:guice:4.0 (forced)
+--- compile
+--- project :commons
|    \--- compile
+--- com.google.inject.extensions:guice-assistedinject:4.0
|    \--- compile
+--- com.google.inject.extensions:guice-multibindings:4.0
|    +--- project :commons (*)
|    \--- org.apache.shiro:shiro-guice:1.2.3
|         \--- compile
\--- com.google.inject.extensions:guice-servlet:4.0
     \--- com.sun.jersey.contribs:jersey-guice:1.18.1
          +--- compile
          \--- project :commons (*)

com.google.inject:guice:3.0 -> 4.0
+--- com.sun.jersey.contribs:jersey-guice:1.18.1
|    +--- compile
|    \--- project :commons
|         \--- compile
\--- org.apache.shiro:shiro-guice:1.2.3
     \--- compile

com.google.inject.extensions:guice-assistedinject:4.0
\--- compile

com.google.inject.extensions:guice-multibindings:4.0 (forced)
\--- project :commons
     \--- compile

com.google.inject.extensions:guice-multibindings:3.0 -> 4.0
\--- org.apache.shiro:shiro-guice:1.2.3
     \--- compile

com.google.inject.extensions:guice-servlet:4.0 (forced)

com.google.inject.extensions:guice-servlet:3.0 -> 4.0
\--- com.sun.jersey.contribs:jersey-guice:1.18.1
     +--- compile
     \--- project :commons
          \--- compile

com.sun.jersey.contribs:jersey-guice:1.18.1
+--- compile
\--- project :commons
     \--- compile

org.apache.shiro:shiro-guice:1.2.3
\--- compile

org.mybatis:mybatis-guice:3.6
\--- compile
{noformat}

Unfortunately there are binary incompatibilities between guice 3.x and 4.x resulting in class
not found errors from the jersey-guice and shiro-guice artifacts. 

> Upgrade to guice 4.0
> --------------------
>
>                 Key: AURORA-1380
>                 URL: https://issues.apache.org/jira/browse/AURORA-1380
>             Project: Aurora
>          Issue Type: Story
>          Components: Scheduler
>            Reporter: Kevin Sweeney
>            Priority: Critical
>
> Guice 4.0 has been released. Among the new features, probably the most significant is
Java 8 support - in Guice 3.0 stack traces are obfuscated by https://github.com/google/guice/issues/757.
As our code expands use of lambdas and method references this will become even more critical.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message